MODEL
MODEL_VERSION "v1998.8";
DESIGN "HTR_SLB";

/* port names and type */
INPUT S:PIN66 = done;
INPUT S:PIN65 = init_b;
INPUT S:PIN70 = ctrl_in<1>;
INPUT S:PIN28 = loc_rw;
INPUT S:PIN27 = loc_cs;
INPUT S:PIN37 = loc_add<6>;
INPUT S:PIN36 = loc_add<5>;
INPUT S:PIN30 = loc_add<1>;
INPUT S:PIN29 = loc_add<0>;
INPUT S:PIN35 = loc_add<4>;
INPUT S:PIN33 = loc_add<3>;
INPUT S:PIN32 = loc_add<2>;
INPUT S:PIN68 = ctrl_in<0>;
INPUT S:PIN67 = ctrl_in<2>;
OUTPUT S:PIN22 = cclk;
TRIOUT S:PIN6 = mdata<0>;
TRIOUT S:PIN8 = mdata<1>;
TRIOUT S:PIN9 = mdata<2>;
TRIOUT S:PIN10 = mdata<3>;
TRIOUT S:PIN11 = mdata<4>;
TRIOUT S:PIN13 = mdata<6>;
TRIOUT S:PIN14 = mdata<7>;
TRIOUT S:PIN40 = loc_bus<0>;
TRIOUT S:PIN42 = loc_bus<1>;
TRIOUT S:PIN50 = loc_bus<2>;
TRIOUT S:PIN52 = loc_bus<3>;
TRIOUT S:PIN54 = loc_bus<4>;
TRIOUT S:PIN56 = loc_bus<5>;
TRIOUT S:PIN59 = loc_bus<6>;
TRIOUT S:PIN61 = loc_bus<7>;
TRIOUT S:PIN12 = mdata<5>;
OUTPUT S:PIN23 = cclk_fb;
OUTPUT S:PIN86 = maddr<0>;
OUTPUT S:PIN93 = maddr<15>;
OUTPUT S:PIN94 = maddr<16>;
OUTPUT S:PIN96 = maddr<17>;
OUTPUT S:PIN85 = maddr<1>;
OUTPUT S:PIN82 = maddr<2>;
OUTPUT S:PIN81 = maddr<3>;
OUTPUT S:PIN89 = maddr<4>;
OUTPUT S:PIN87 = maddr<5>;
OUTPUT S:PIN90 = maddr<6>;
OUTPUT S:PIN1 = maddr<8>;
OUTPUT S:PIN16 = maddr<10>;
OUTPUT S:PIN4 = maddr<11>;
OUTPUT S:PIN92 = maddr<12>;
OUTPUT S:PIN97 = maddr<13>;
OUTPUT S:PIN99 = maddr<14>;
OUTPUT S:PIN91 = maddr<7>;
OUTPUT S:PIN3 = maddr<9>;
TRIOUT S:PIN63 = prog_b;
OUTPUT S:PIN20 = cs_b;
OUTPUT S:PIN95 = mwe_b;
OUTPUT S:PIN17 = moe_b;
OUTPUT S:PIN18 = rdwr_b;
OUTPUT S:PIN58 = spare5;
OUTPUT S:PIN79 = loc_add_out<0>;
OUTPUT S:PIN78 = loc_add_out<1>;
OUTPUT S:PIN77 = loc_add_out<2>;
OUTPUT S:PIN76 = loc_add_out<3>;
OUTPUT S:PIN74 = loc_add_out<4>;
OUTPUT S:PIN72 = loc_add_out<5>;
OUTPUT S:PIN71 = loc_add_out<6>;
OUTPUT S:PIN15 = mce_b;

/* timing arc definitions */
ctrl_in<1>_cclk_delay: DELAY ctrl_in<1> cclk;
loc_rw_cclk_delay: DELAY loc_rw cclk;
loc_cs_cclk_delay: DELAY loc_cs cclk;
loc_add<6>_cclk_delay: DELAY loc_add<6> cclk;
loc_add<5>_cclk_delay: DELAY loc_add<5> cclk;
ctrl_in<0>_cclk_delay: DELAY ctrl_in<0> cclk;
init_b_cclk_fb_delay: DELAY init_b cclk_fb;
init_b_cs_b_delay: DELAY init_b cs_b;
loc_cs_cs_b_delay: DELAY loc_cs cs_b;
loc_add<0>_loc_add_out<0>_delay: DELAY loc_add<0> loc_add_out<0>;
loc_add<1>_loc_add_out<1>_delay: DELAY loc_add<1> loc_add_out<1>;
loc_add<2>_loc_add_out<2>_delay: DELAY loc_add<2> loc_add_out<2>;
loc_add<3>_loc_add_out<3>_delay: DELAY loc_add<3> loc_add_out<3>;
loc_add<4>_loc_add_out<4>_delay: DELAY loc_add<4> loc_add_out<4>;
loc_add<5>_loc_add_out<5>_delay: DELAY loc_add<5> loc_add_out<5>;
loc_add<6>_loc_add_out<6>_delay: DELAY loc_add<6> loc_add_out<6>;
loc_add<1>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<0>;
loc_add<5>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<0>;
loc_add<0>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<0>;
mdata<0>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) mdata<0> loc_bus<0>;
loc_rw_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<0>;
loc_cs_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<0>;
loc_add<6>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<0>;
mdata<1>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) mdata<1> loc_bus<1>;
loc_rw_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<1>;
loc_add<5>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<1>;
loc_cs_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<1>;
loc_add<6>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<1>;
loc_add<1>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<1>;
loc_add<0>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<1>;
loc_add<5>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<2>;
loc_add<0>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<2>;
loc_add<1>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<2>;
loc_add<6>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<2>;
mdata<2>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) mdata<2> loc_bus<2>;
init_b_loc_bus<2>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<2>;
loc_cs_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<2>;
loc_rw_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<2>;
loc_add<6>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<3>;
loc_cs_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<3>;
loc_add<5>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<3>;
loc_rw_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<3>;
loc_add<1>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<3>;
mdata<3>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) mdata<3> loc_bus<3>;
loc_add<0>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<3>;
done_loc_bus<3>_delay: DELAY (ENABLE_HIGH) done loc_bus<3>;
loc_rw_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<4>;
loc_add<1>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<4>;
ctrl_in<0>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<4>;
loc_cs_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<4>;
loc_add<6>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<4>;
mdata<4>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) mdata<4> loc_bus<4>;
loc_add<5>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<4>;
loc_add<0>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<4>;
loc_cs_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<5>;
loc_add<6>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<5>;
mdata<5>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) mdata<5> loc_bus<5>;
loc_add<5>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<5>;
loc_add<1>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<5>;
loc_add<0>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<5>;
ctrl_in<1>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<5>;
loc_rw_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<5>;
loc_add<5>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<6>;
loc_add<0>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<6>;
ctrl_in<2>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) ctrl_in<2> loc_bus<6>;
loc_add<1>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<6>;
loc_add<6>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<6>;
mdata<6>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) mdata<6> loc_bus<6>;
loc_cs_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<6>;
loc_rw_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<6>;
loc_add<6>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<7>;
loc_cs_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<7>;
loc_add<5>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<7>;
loc_add<1>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<7>;
mdata<7>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) mdata<7> loc_bus<7>;
loc_add<0>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<7>;
loc_rw_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<7>;
ctrl_in<0>_mce_b_delay: DELAY ctrl_in<0> mce_b;
loc_add<2>_mce_b_delay: DELAY loc_add<2> mce_b;
loc_add<0>_mce_b_delay: DELAY loc_add<0> mce_b;
loc_add<6>_mce_b_delay: DELAY loc_add<6> mce_b;
loc_cs_mce_b_delay: DELAY loc_cs mce_b;
ctrl_in<1>_mce_b_delay: DELAY ctrl_in<1> mce_b;
loc_add<1>_mce_b_delay: DELAY loc_add<1> mce_b;
loc_add<5>_mce_b_delay: DELAY loc_add<5> mce_b;
loc_add<3>_mce_b_delay: DELAY loc_add<3> mce_b;
loc_add<4>_mce_b_delay: DELAY loc_add<4> mce_b;
ctrl_in<1>_mdata<0>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<0>;
loc_rw_mdata<0>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<0>;
done_mdata<0>_delay: DELAY (ENABLE_HIGH) done mdata<0>;
done_mdata<1>_delay: DELAY (ENABLE_HIGH) done mdata<1>;
ctrl_in<1>_mdata<1>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<1>;
loc_rw_mdata<1>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<1>;
ctrl_in<1>_mdata<2>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<2>;
loc_rw_mdata<2>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<2>;
done_mdata<2>_delay: DELAY (ENABLE_HIGH) done mdata<2>;
done_mdata<3>_delay: DELAY (ENABLE_HIGH) done mdata<3>;
ctrl_in<1>_mdata<3>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<3>;
loc_rw_mdata<3>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<3>;
done_mdata<4>_delay: DELAY (ENABLE_HIGH) done mdata<4>;
loc_rw_mdata<4>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<4>;
ctrl_in<1>_mdata<4>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<4>;
ctrl_in<1>_mdata<5>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<5>;
done_mdata<5>_delay: DELAY (ENABLE_HIGH) done mdata<5>;
loc_rw_mdata<5>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<5>;
ctrl_in<1>_mdata<6>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<6>;
done_mdata<6>_delay: DELAY (ENABLE_HIGH) done mdata<6>;
loc_rw_mdata<6>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<6>;
ctrl_in<1>_mdata<7>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<7>;
done_mdata<7>_delay: DELAY (ENABLE_HIGH) done mdata<7>;
loc_rw_mdata<7>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<7>;
loc_rw_moe_b_delay: DELAY loc_rw moe_b;
ctrl_in<1>_moe_b_delay: DELAY ctrl_in<1> moe_b;
loc_rw_mwe_b_delay: DELAY loc_rw mwe_b;
ctrl_in<1>_mwe_b_delay: DELAY ctrl_in<1> mwe_b;
loc_rw_rdwr_b_delay: DELAY loc_rw rdwr_b;
loc_cs_spare5_delay: DELAY loc_cs spare5;
init_b_cclk_delay: DELAY init_b cclk;
init_b_loc_bus<0>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<0>;
init_b_loc_bus<1>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<1>;
init_b_loc_bus<2>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<2>;
init_b_loc_bus<3>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<3>;
init_b_loc_bus<4>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<4>;
init_b_loc_bus<5>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<5>;
init_b_loc_bus<6>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<6>;
init_b_loc_bus<7>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<7>;
init_b_cclk_fb_delay: DELAY init_b cclk_fb;
init_b_maddr<0>_delay: DELAY init_b maddr<0>;
init_b_maddr<15>_delay: DELAY init_b maddr<15>;
init_b_maddr<16>_delay: DELAY init_b maddr<16>;
init_b_maddr<17>_delay: DELAY init_b maddr<17>;
init_b_maddr<1>_delay: DELAY init_b maddr<1>;
init_b_maddr<2>_delay: DELAY init_b maddr<2>;
init_b_maddr<3>_delay: DELAY init_b maddr<3>;
init_b_maddr<4>_delay: DELAY init_b maddr<4>;
init_b_maddr<5>_delay: DELAY init_b maddr<5>;
init_b_maddr<6>_delay: DELAY init_b maddr<6>;
init_b_maddr<8>_delay: DELAY init_b maddr<8>;
init_b_maddr<10>_delay: DELAY init_b maddr<10>;
init_b_maddr<11>_delay: DELAY init_b maddr<11>;
init_b_maddr<12>_delay: DELAY init_b maddr<12>;
init_b_maddr<13>_delay: DELAY init_b maddr<13>;
init_b_maddr<14>_delay: DELAY init_b maddr<14>;
init_b_maddr<7>_delay: DELAY init_b maddr<7>;
init_b_maddr<9>_delay: DELAY init_b maddr<9>;
init_b_cs_b_delay: DELAY init_b cs_b;
init_b_mwe_b_delay: DELAY init_b mwe_b;
init_b_moe_b_delay: DELAY init_b moe_b;
init_b_rdwr_b_delay: DELAY init_b rdwr_b;
init_b_spare5_delay: DELAY init_b spare5;
init_b_mce_b_delay: DELAY init_b mce_b;
loc_add<5>_cclk_delay: DELAY loc_add<5> cclk;
loc_add<5>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<0>;
loc_add<5>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<1>;
loc_add<5>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<2>;
loc_add<5>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<3>;
loc_add<5>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<4>;
loc_add<5>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<5>;
loc_add<5>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<6>;
loc_add<5>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<7>;
loc_add<5>_cclk_fb_delay: DELAY loc_add<5> cclk_fb;
loc_add<5>_maddr<0>_delay: DELAY loc_add<5> maddr<0>;
loc_add<5>_maddr<15>_delay: DELAY loc_add<5> maddr<15>;
loc_add<5>_maddr<16>_delay: DELAY loc_add<5> maddr<16>;
loc_add<5>_maddr<17>_delay: DELAY loc_add<5> maddr<17>;
loc_add<5>_maddr<1>_delay: DELAY loc_add<5> maddr<1>;
loc_add<5>_maddr<2>_delay: DELAY loc_add<5> maddr<2>;
loc_add<5>_maddr<3>_delay: DELAY loc_add<5> maddr<3>;
loc_add<5>_maddr<4>_delay: DELAY loc_add<5> maddr<4>;
loc_add<5>_maddr<5>_delay: DELAY loc_add<5> maddr<5>;
loc_add<5>_maddr<6>_delay: DELAY loc_add<5> maddr<6>;
loc_add<5>_maddr<8>_delay: DELAY loc_add<5> maddr<8>;
loc_add<5>_maddr<10>_delay: DELAY loc_add<5> maddr<10>;
loc_add<5>_maddr<11>_delay: DELAY loc_add<5> maddr<11>;
loc_add<5>_maddr<12>_delay: DELAY loc_add<5> maddr<12>;
loc_add<5>_maddr<13>_delay: DELAY loc_add<5> maddr<13>;
loc_add<5>_maddr<14>_delay: DELAY loc_add<5> maddr<14>;
loc_add<5>_maddr<7>_delay: DELAY loc_add<5> maddr<7>;
loc_add<5>_maddr<9>_delay: DELAY loc_add<5> maddr<9>;
loc_add<5>_prog_b_delay: DELAY (ENABLE_HIGH) loc_add<5> prog_b;
loc_add<5>_cs_b_delay: DELAY loc_add<5> cs_b;
loc_add<5>_mwe_b_delay: DELAY loc_add<5> mwe_b;
loc_add<5>_moe_b_delay: DELAY loc_add<5> moe_b;
loc_add<5>_rdwr_b_delay: DELAY loc_add<5> rdwr_b;
loc_add<5>_spare5_delay: DELAY loc_add<5> spare5;
loc_add<5>_mce_b_delay: DELAY loc_add<5> mce_b;
loc_add<6>_cclk_delay: DELAY loc_add<6> cclk;
loc_add<6>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<0>;
loc_add<6>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<1>;
loc_add<6>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<2>;
loc_add<6>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<3>;
loc_add<6>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<4>;
loc_add<6>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<5>;
loc_add<6>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<6>;
loc_add<6>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<7>;
loc_add<6>_cclk_fb_delay: DELAY loc_add<6> cclk_fb;
loc_add<6>_maddr<0>_delay: DELAY loc_add<6> maddr<0>;
loc_add<6>_maddr<15>_delay: DELAY loc_add<6> maddr<15>;
loc_add<6>_maddr<16>_delay: DELAY loc_add<6> maddr<16>;
loc_add<6>_maddr<17>_delay: DELAY loc_add<6> maddr<17>;
loc_add<6>_maddr<1>_delay: DELAY loc_add<6> maddr<1>;
loc_add<6>_maddr<2>_delay: DELAY loc_add<6> maddr<2>;
loc_add<6>_maddr<3>_delay: DELAY loc_add<6> maddr<3>;
loc_add<6>_maddr<4>_delay: DELAY loc_add<6> maddr<4>;
loc_add<6>_maddr<5>_delay: DELAY loc_add<6> maddr<5>;
loc_add<6>_maddr<6>_delay: DELAY loc_add<6> maddr<6>;
loc_add<6>_maddr<8>_delay: DELAY loc_add<6> maddr<8>;
loc_add<6>_maddr<10>_delay: DELAY loc_add<6> maddr<10>;
loc_add<6>_maddr<11>_delay: DELAY loc_add<6> maddr<11>;
loc_add<6>_maddr<12>_delay: DELAY loc_add<6> maddr<12>;
loc_add<6>_maddr<13>_delay: DELAY loc_add<6> maddr<13>;
loc_add<6>_maddr<14>_delay: DELAY loc_add<6> maddr<14>;
loc_add<6>_maddr<7>_delay: DELAY loc_add<6> maddr<7>;
loc_add<6>_maddr<9>_delay: DELAY loc_add<6> maddr<9>;
loc_add<6>_prog_b_delay: DELAY (ENABLE_HIGH) loc_add<6> prog_b;
loc_add<6>_cs_b_delay: DELAY loc_add<6> cs_b;
loc_add<6>_mwe_b_delay: DELAY loc_add<6> mwe_b;
loc_add<6>_moe_b_delay: DELAY loc_add<6> moe_b;
loc_add<6>_rdwr_b_delay: DELAY loc_add<6> rdwr_b;
loc_add<6>_spare5_delay: DELAY loc_add<6> spare5;
loc_add<6>_mce_b_delay: DELAY loc_add<6> mce_b;
loc_rw_cclk_delay: DELAY loc_rw cclk;
loc_rw_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<0>;
loc_rw_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<1>;
loc_rw_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<2>;
loc_rw_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<3>;
loc_rw_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<4>;
loc_rw_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<5>;
loc_rw_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<6>;
loc_rw_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<7>;
loc_rw_cclk_fb_delay: DELAY loc_rw cclk_fb;
loc_rw_maddr<0>_delay: DELAY loc_rw maddr<0>;
loc_rw_maddr<15>_delay: DELAY loc_rw maddr<15>;
loc_rw_maddr<16>_delay: DELAY loc_rw maddr<16>;
loc_rw_maddr<17>_delay: DELAY loc_rw maddr<17>;
loc_rw_maddr<1>_delay: DELAY loc_rw maddr<1>;
loc_rw_maddr<2>_delay: DELAY loc_rw maddr<2>;
loc_rw_maddr<3>_delay: DELAY loc_rw maddr<3>;
loc_rw_maddr<4>_delay: DELAY loc_rw maddr<4>;
loc_rw_maddr<5>_delay: DELAY loc_rw maddr<5>;
loc_rw_maddr<6>_delay: DELAY loc_rw maddr<6>;
loc_rw_maddr<8>_delay: DELAY loc_rw maddr<8>;
loc_rw_maddr<10>_delay: DELAY loc_rw maddr<10>;
loc_rw_maddr<11>_delay: DELAY loc_rw maddr<11>;
loc_rw_maddr<12>_delay: DELAY loc_rw maddr<12>;
loc_rw_maddr<13>_delay: DELAY loc_rw maddr<13>;
loc_rw_maddr<14>_delay: DELAY loc_rw maddr<14>;
loc_rw_maddr<7>_delay: DELAY loc_rw maddr<7>;
loc_rw_maddr<9>_delay: DELAY loc_rw maddr<9>;
loc_rw_prog_b_delay: DELAY (ENABLE_HIGH) loc_rw prog_b;
loc_rw_cs_b_delay: DELAY loc_rw cs_b;
loc_rw_mwe_b_delay: DELAY loc_rw mwe_b;
loc_rw_moe_b_delay: DELAY loc_rw moe_b;
loc_rw_rdwr_b_delay: DELAY loc_rw rdwr_b;
loc_rw_spare5_delay: DELAY loc_rw spare5;
loc_rw_mce_b_delay: DELAY loc_rw mce_b;
loc_cs_cclk_delay: DELAY loc_cs cclk;
loc_cs_mdata<0>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<0>;
loc_cs_mdata<1>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<1>;
loc_cs_mdata<2>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<2>;
loc_cs_mdata<3>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<3>;
loc_cs_mdata<4>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<4>;
loc_cs_mdata<6>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<6>;
loc_cs_mdata<7>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<7>;
loc_cs_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<0>;
loc_cs_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<1>;
loc_cs_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<2>;
loc_cs_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<3>;
loc_cs_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<4>;
loc_cs_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<5>;
loc_cs_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<6>;
loc_cs_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<7>;
loc_cs_mdata<5>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<5>;
loc_cs_cclk_fb_delay: DELAY loc_cs cclk_fb;
loc_cs_maddr<0>_delay: DELAY loc_cs maddr<0>;
loc_cs_maddr<15>_delay: DELAY loc_cs maddr<15>;
loc_cs_maddr<16>_delay: DELAY loc_cs maddr<16>;
loc_cs_maddr<17>_delay: DELAY loc_cs maddr<17>;
loc_cs_maddr<1>_delay: DELAY loc_cs maddr<1>;
loc_cs_maddr<2>_delay: DELAY loc_cs maddr<2>;
loc_cs_maddr<3>_delay: DELAY loc_cs maddr<3>;
loc_cs_maddr<4>_delay: DELAY loc_cs maddr<4>;
loc_cs_maddr<5>_delay: DELAY loc_cs maddr<5>;
loc_cs_maddr<6>_delay: DELAY loc_cs maddr<6>;
loc_cs_maddr<8>_delay: DELAY loc_cs maddr<8>;
loc_cs_maddr<10>_delay: DELAY loc_cs maddr<10>;
loc_cs_maddr<11>_delay: DELAY loc_cs maddr<11>;
loc_cs_maddr<12>_delay: DELAY loc_cs maddr<12>;
loc_cs_maddr<13>_delay: DELAY loc_cs maddr<13>;
loc_cs_maddr<14>_delay: DELAY loc_cs maddr<14>;
loc_cs_maddr<7>_delay: DELAY loc_cs maddr<7>;
loc_cs_maddr<9>_delay: DELAY loc_cs maddr<9>;
loc_cs_prog_b_delay: DELAY (ENABLE_HIGH) loc_cs prog_b;
loc_cs_cs_b_delay: DELAY loc_cs cs_b;
loc_cs_mwe_b_delay: DELAY loc_cs mwe_b;
loc_cs_moe_b_delay: DELAY loc_cs moe_b;
loc_cs_rdwr_b_delay: DELAY loc_cs rdwr_b;
loc_cs_spare5_delay: DELAY loc_cs spare5;
loc_cs_mce_b_delay: DELAY loc_cs mce_b;
ctrl_in<1>_cclk_delay: DELAY ctrl_in<1> cclk;
ctrl_in<1>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<0>;
ctrl_in<1>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<1>;
ctrl_in<1>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<2>;
ctrl_in<1>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<3>;
ctrl_in<1>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<4>;
ctrl_in<1>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<5>;
ctrl_in<1>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<6>;
ctrl_in<1>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<7>;
ctrl_in<1>_cclk_fb_delay: DELAY ctrl_in<1> cclk_fb;
ctrl_in<1>_maddr<0>_delay: DELAY ctrl_in<1> maddr<0>;
ctrl_in<1>_maddr<15>_delay: DELAY ctrl_in<1> maddr<15>;
ctrl_in<1>_maddr<16>_delay: DELAY ctrl_in<1> maddr<16>;
ctrl_in<1>_maddr<17>_delay: DELAY ctrl_in<1> maddr<17>;
ctrl_in<1>_maddr<1>_delay: DELAY ctrl_in<1> maddr<1>;
ctrl_in<1>_maddr<2>_delay: DELAY ctrl_in<1> maddr<2>;
ctrl_in<1>_maddr<3>_delay: DELAY ctrl_in<1> maddr<3>;
ctrl_in<1>_maddr<4>_delay: DELAY ctrl_in<1> maddr<4>;
ctrl_in<1>_maddr<5>_delay: DELAY ctrl_in<1> maddr<5>;
ctrl_in<1>_maddr<6>_delay: DELAY ctrl_in<1> maddr<6>;
ctrl_in<1>_maddr<8>_delay: DELAY ctrl_in<1> maddr<8>;
ctrl_in<1>_maddr<10>_delay: DELAY ctrl_in<1> maddr<10>;
ctrl_in<1>_maddr<11>_delay: DELAY ctrl_in<1> maddr<11>;
ctrl_in<1>_maddr<12>_delay: DELAY ctrl_in<1> maddr<12>;
ctrl_in<1>_maddr<13>_delay: DELAY ctrl_in<1> maddr<13>;
ctrl_in<1>_maddr<14>_delay: DELAY ctrl_in<1> maddr<14>;
ctrl_in<1>_maddr<7>_delay: DELAY ctrl_in<1> maddr<7>;
ctrl_in<1>_maddr<9>_delay: DELAY ctrl_in<1> maddr<9>;
ctrl_in<1>_prog_b_delay: DELAY (ENABLE_HIGH) ctrl_in<1> prog_b;
ctrl_in<1>_cs_b_delay: DELAY ctrl_in<1> cs_b;
ctrl_in<1>_mwe_b_delay: DELAY ctrl_in<1> mwe_b;
ctrl_in<1>_moe_b_delay: DELAY ctrl_in<1> moe_b;
ctrl_in<1>_rdwr_b_delay: DELAY ctrl_in<1> rdwr_b;
ctrl_in<1>_spare5_delay: DELAY ctrl_in<1> spare5;
ctrl_in<1>_mce_b_delay: DELAY ctrl_in<1> mce_b;
ctrl_in<0>_cclk_delay: DELAY ctrl_in<0> cclk;
ctrl_in<0>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<0>;
ctrl_in<0>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<1>;
ctrl_in<0>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<2>;
ctrl_in<0>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<3>;
ctrl_in<0>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<4>;
ctrl_in<0>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<5>;
ctrl_in<0>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<6>;
ctrl_in<0>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<7>;
ctrl_in<0>_cclk_fb_delay: DELAY ctrl_in<0> cclk_fb;
ctrl_in<0>_maddr<0>_delay: DELAY ctrl_in<0> maddr<0>;
ctrl_in<0>_maddr<15>_delay: DELAY ctrl_in<0> maddr<15>;
ctrl_in<0>_maddr<16>_delay: DELAY ctrl_in<0> maddr<16>;
ctrl_in<0>_maddr<17>_delay: DELAY ctrl_in<0> maddr<17>;
ctrl_in<0>_maddr<1>_delay: DELAY ctrl_in<0> maddr<1>;
ctrl_in<0>_maddr<2>_delay: DELAY ctrl_in<0> maddr<2>;
ctrl_in<0>_maddr<3>_delay: DELAY ctrl_in<0> maddr<3>;
ctrl_in<0>_maddr<4>_delay: DELAY ctrl_in<0> maddr<4>;
ctrl_in<0>_maddr<5>_delay: DELAY ctrl_in<0> maddr<5>;
ctrl_in<0>_maddr<6>_delay: DELAY ctrl_in<0> maddr<6>;
ctrl_in<0>_maddr<8>_delay: DELAY ctrl_in<0> maddr<8>;
ctrl_in<0>_maddr<10>_delay: DELAY ctrl_in<0> maddr<10>;
ctrl_in<0>_maddr<11>_delay: DELAY ctrl_in<0> maddr<11>;
ctrl_in<0>_maddr<12>_delay: DELAY ctrl_in<0> maddr<12>;
ctrl_in<0>_maddr<13>_delay: DELAY ctrl_in<0> maddr<13>;
ctrl_in<0>_maddr<14>_delay: DELAY ctrl_in<0> maddr<14>;
ctrl_in<0>_maddr<7>_delay: DELAY ctrl_in<0> maddr<7>;
ctrl_in<0>_maddr<9>_delay: DELAY ctrl_in<0> maddr<9>;
ctrl_in<0>_prog_b_delay: DELAY (ENABLE_HIGH) ctrl_in<0> prog_b;
ctrl_in<0>_cs_b_delay: DELAY ctrl_in<0> cs_b;
ctrl_in<0>_mwe_b_delay: DELAY ctrl_in<0> mwe_b;
ctrl_in<0>_moe_b_delay: DELAY ctrl_in<0> moe_b;
ctrl_in<0>_rdwr_b_delay: DELAY ctrl_in<0> rdwr_b;
ctrl_in<0>_spare5_delay: DELAY ctrl_in<0> spare5;
ctrl_in<0>_mce_b_delay: DELAY ctrl_in<0> mce_b;

/* timing check arc definitions */
ctrl_in<1>_cclk_setup: SETUP(POSEDGE) ctrl_in<1> cclk;
done_cclk_setup: SETUP(POSEDGE) done cclk;
mdata<0>_cclk_setup: SETUP(POSEDGE) mdata<0> cclk;
mdata<1>_cclk_setup: SETUP(POSEDGE) mdata<1> cclk;
mdata<2>_cclk_setup: SETUP(POSEDGE) mdata<2> cclk;
mdata<3>_cclk_setup: SETUP(POSEDGE) mdata<3> cclk;
mdata<4>_cclk_setup: SETUP(POSEDGE) mdata<4> cclk;
mdata<5>_cclk_setup: SETUP(POSEDGE) mdata<5> cclk;
mdata<6>_cclk_setup: SETUP(POSEDGE) mdata<6> cclk;
mdata<7>_cclk_setup: SETUP(POSEDGE) mdata<7> cclk;
ctrl_in<1>_cclk_hold: HOLD(POSEDGE) ctrl_in<1> cclk;
done_cclk_hold: HOLD(POSEDGE) done cclk;
mdata<0>_cclk_hold: HOLD(POSEDGE) mdata<0> cclk;
mdata<1>_cclk_hold: HOLD(POSEDGE) mdata<1> cclk;
mdata<2>_cclk_hold: HOLD(POSEDGE) mdata<2> cclk;
mdata<3>_cclk_hold: HOLD(POSEDGE) mdata<3> cclk;
mdata<4>_cclk_hold: HOLD(POSEDGE) mdata<4> cclk;
mdata<5>_cclk_hold: HOLD(POSEDGE) mdata<5> cclk;
mdata<6>_cclk_hold: HOLD(POSEDGE) mdata<6> cclk;
mdata<7>_cclk_hold: HOLD(POSEDGE) mdata<7> cclk;
ctrl_in<1>_loc_add<5>_setup: SETUP(POSEDGE) ctrl_in<1> loc_add<5>;
done_loc_add<5>_setup: SETUP(POSEDGE) done loc_add<5>;
mdata<0>_loc_add<5>_setup: SETUP(POSEDGE) mdata<0> loc_add<5>;
mdata<1>_loc_add<5>_setup: SETUP(POSEDGE) mdata<1> loc_add<5>;
mdata<2>_loc_add<5>_setup: SETUP(POSEDGE) mdata<2> loc_add<5>;
mdata<3>_loc_add<5>_setup: SETUP(POSEDGE) mdata<3> loc_add<5>;
mdata<4>_loc_add<5>_setup: SETUP(POSEDGE) mdata<4> loc_add<5>;
mdata<5>_loc_add<5>_setup: SETUP(POSEDGE) mdata<5> loc_add<5>;
mdata<6>_loc_add<5>_setup: SETUP(POSEDGE) mdata<6> loc_add<5>;
mdata<7>_loc_add<5>_setup: SETUP(POSEDGE) mdata<7> loc_add<5>;
ctrl_in<1>_loc_add<5>_hold: HOLD(POSEDGE) ctrl_in<1> loc_add<5>;
done_loc_add<5>_hold: HOLD(POSEDGE) done loc_add<5>;
mdata<0>_loc_add<5>_hold: HOLD(POSEDGE) mdata<0> loc_add<5>;
mdata<1>_loc_add<5>_hold: HOLD(POSEDGE) mdata<1> loc_add<5>;
mdata<2>_loc_add<5>_hold: HOLD(POSEDGE) mdata<2> loc_add<5>;
mdata<3>_loc_add<5>_hold: HOLD(POSEDGE) mdata<3> loc_add<5>;
mdata<4>_loc_add<5>_hold: HOLD(POSEDGE) mdata<4> loc_add<5>;
mdata<5>_loc_add<5>_hold: HOLD(POSEDGE) mdata<5> loc_add<5>;
mdata<6>_loc_add<5>_hold: HOLD(POSEDGE) mdata<6> loc_add<5>;
mdata<7>_loc_add<5>_hold: HOLD(POSEDGE) mdata<7> loc_add<5>;
ctrl_in<1>_loc_add<6>_setup: SETUP(POSEDGE) ctrl_in<1> loc_add<6>;
done_loc_add<6>_setup: SETUP(POSEDGE) done loc_add<6>;
mdata<0>_loc_add<6>_setup: SETUP(POSEDGE) mdata<0> loc_add<6>;
mdata<1>_loc_add<6>_setup: SETUP(POSEDGE) mdata<1> loc_add<6>;
mdata<2>_loc_add<6>_setup: SETUP(POSEDGE) mdata<2> loc_add<6>;
mdata<3>_loc_add<6>_setup: SETUP(POSEDGE) mdata<3> loc_add<6>;
mdata<4>_loc_add<6>_setup: SETUP(POSEDGE) mdata<4> loc_add<6>;
mdata<5>_loc_add<6>_setup: SETUP(POSEDGE) mdata<5> loc_add<6>;
mdata<6>_loc_add<6>_setup: SETUP(POSEDGE) mdata<6> loc_add<6>;
mdata<7>_loc_add<6>_setup: SETUP(POSEDGE) mdata<7> loc_add<6>;
ctrl_in<1>_loc_add<6>_hold: HOLD(POSEDGE) ctrl_in<1> loc_add<6>;
done_loc_add<6>_hold: HOLD(POSEDGE) done loc_add<6>;
mdata<0>_loc_add<6>_hold: HOLD(POSEDGE) mdata<0> loc_add<6>;
mdata<1>_loc_add<6>_hold: HOLD(POSEDGE) mdata<1> loc_add<6>;
mdata<2>_loc_add<6>_hold: HOLD(POSEDGE) mdata<2> loc_add<6>;
mdata<3>_loc_add<6>_hold: HOLD(POSEDGE) mdata<3> loc_add<6>;
mdata<4>_loc_add<6>_hold: HOLD(POSEDGE) mdata<4> loc_add<6>;
mdata<5>_loc_add<6>_hold: HOLD(POSEDGE) mdata<5> loc_add<6>;
mdata<6>_loc_add<6>_hold: HOLD(POSEDGE) mdata<6> loc_add<6>;
mdata<7>_loc_add<6>_hold: HOLD(POSEDGE) mdata<7> loc_add<6>;
ctrl_in<1>_loc_rw_setup: SETUP(POSEDGE) ctrl_in<1> loc_rw;
done_loc_rw_setup: SETUP(POSEDGE) done loc_rw;
mdata<0>_loc_rw_setup: SETUP(POSEDGE) mdata<0> loc_rw;
mdata<1>_loc_rw_setup: SETUP(POSEDGE) mdata<1> loc_rw;
mdata<2>_loc_rw_setup: SETUP(POSEDGE) mdata<2> loc_rw;
mdata<3>_loc_rw_setup: SETUP(POSEDGE) mdata<3> loc_rw;
mdata<4>_loc_rw_setup: SETUP(POSEDGE) mdata<4> loc_rw;
mdata<5>_loc_rw_setup: SETUP(POSEDGE) mdata<5> loc_rw;
mdata<6>_loc_rw_setup: SETUP(POSEDGE) mdata<6> loc_rw;
mdata<7>_loc_rw_setup: SETUP(POSEDGE) mdata<7> loc_rw;
ctrl_in<1>_loc_rw_hold: HOLD(POSEDGE) ctrl_in<1> loc_rw;
done_loc_rw_hold: HOLD(POSEDGE) done loc_rw;
mdata<0>_loc_rw_hold: HOLD(POSEDGE) mdata<0> loc_rw;
mdata<1>_loc_rw_hold: HOLD(POSEDGE) mdata<1> loc_rw;
mdata<2>_loc_rw_hold: HOLD(POSEDGE) mdata<2> loc_rw;
mdata<3>_loc_rw_hold: HOLD(POSEDGE) mdata<3> loc_rw;
mdata<4>_loc_rw_hold: HOLD(POSEDGE) mdata<4> loc_rw;
mdata<5>_loc_rw_hold: HOLD(POSEDGE) mdata<5> loc_rw;
mdata<6>_loc_rw_hold: HOLD(POSEDGE) mdata<6> loc_rw;
mdata<7>_loc_rw_hold: HOLD(POSEDGE) mdata<7> loc_rw;
ctrl_in<1>_loc_cs_setup: SETUP(POSEDGE) ctrl_in<1> loc_cs;
done_loc_cs_setup: SETUP(POSEDGE) done loc_cs;
loc_add<0>_loc_cs_setup: SETUP(POSEDGE) loc_add<0> loc_cs;
loc_add<1>_loc_cs_setup: SETUP(POSEDGE) loc_add<1> loc_cs;
loc_add<2>_loc_cs_setup: SETUP(POSEDGE) loc_add<2> loc_cs;
loc_add<3>_loc_cs_setup: SETUP(POSEDGE) loc_add<3> loc_cs;
loc_add<4>_loc_cs_setup: SETUP(POSEDGE) loc_add<4> loc_cs;
loc_add<5>_loc_cs_setup: SETUP(POSEDGE) loc_add<5> loc_cs;
loc_add<6>_loc_cs_setup: SETUP(POSEDGE) loc_add<6> loc_cs;
loc_bus<0>_loc_cs_setup: SETUP(POSEDGE) loc_bus<0> loc_cs;
loc_bus<1>_loc_cs_setup: SETUP(POSEDGE) loc_bus<1> loc_cs;
loc_bus<2>_loc_cs_setup: SETUP(POSEDGE) loc_bus<2> loc_cs;
loc_bus<3>_loc_cs_setup: SETUP(POSEDGE) loc_bus<3> loc_cs;
loc_bus<4>_loc_cs_setup: SETUP(POSEDGE) loc_bus<4> loc_cs;
loc_bus<5>_loc_cs_setup: SETUP(POSEDGE) loc_bus<5> loc_cs;
loc_bus<6>_loc_cs_setup: SETUP(POSEDGE) loc_bus<6> loc_cs;
loc_bus<7>_loc_cs_setup: SETUP(POSEDGE) loc_bus<7> loc_cs;
loc_rw_loc_cs_setup: SETUP(POSEDGE) loc_rw loc_cs;
mdata<0>_loc_cs_setup: SETUP(POSEDGE) mdata<0> loc_cs;
mdata<1>_loc_cs_setup: SETUP(POSEDGE) mdata<1> loc_cs;
mdata<2>_loc_cs_setup: SETUP(POSEDGE) mdata<2> loc_cs;
mdata<3>_loc_cs_setup: SETUP(POSEDGE) mdata<3> loc_cs;
mdata<4>_loc_cs_setup: SETUP(POSEDGE) mdata<4> loc_cs;
mdata<5>_loc_cs_setup: SETUP(POSEDGE) mdata<5> loc_cs;
mdata<6>_loc_cs_setup: SETUP(POSEDGE) mdata<6> loc_cs;
mdata<7>_loc_cs_setup: SETUP(POSEDGE) mdata<7> loc_cs;
ctrl_in<1>_loc_cs_hold: HOLD(POSEDGE) ctrl_in<1> loc_cs;
done_loc_cs_hold: HOLD(POSEDGE) done loc_cs;
loc_add<0>_loc_cs_hold: HOLD(POSEDGE) loc_add<0> loc_cs;
loc_add<1>_loc_cs_hold: HOLD(POSEDGE) loc_add<1> loc_cs;
loc_add<2>_loc_cs_hold: HOLD(POSEDGE) loc_add<2> loc_cs;
loc_add<3>_loc_cs_hold: HOLD(POSEDGE) loc_add<3> loc_cs;
loc_add<4>_loc_cs_hold: HOLD(POSEDGE) loc_add<4> loc_cs;
loc_add<5>_loc_cs_hold: HOLD(POSEDGE) loc_add<5> loc_cs;
loc_add<6>_loc_cs_hold: HOLD(POSEDGE) loc_add<6> loc_cs;
loc_bus<0>_loc_cs_hold: HOLD(POSEDGE) loc_bus<0> loc_cs;
loc_bus<1>_loc_cs_hold: HOLD(POSEDGE) loc_bus<1> loc_cs;
loc_bus<2>_loc_cs_hold: HOLD(POSEDGE) loc_bus<2> loc_cs;
loc_bus<3>_loc_cs_hold: HOLD(POSEDGE) loc_bus<3> loc_cs;
loc_bus<4>_loc_cs_hold: HOLD(POSEDGE) loc_bus<4> loc_cs;
loc_bus<5>_loc_cs_hold: HOLD(POSEDGE) loc_bus<5> loc_cs;
loc_bus<6>_loc_cs_hold: HOLD(POSEDGE) loc_bus<6> loc_cs;
loc_bus<7>_loc_cs_hold: HOLD(POSEDGE) loc_bus<7> loc_cs;
loc_rw_loc_cs_hold: HOLD(POSEDGE) loc_rw loc_cs;
mdata<0>_loc_cs_hold: HOLD(POSEDGE) mdata<0> loc_cs;
mdata<1>_loc_cs_hold: HOLD(POSEDGE) mdata<1> loc_cs;
mdata<2>_loc_cs_hold: HOLD(POSEDGE) mdata<2> loc_cs;
mdata<3>_loc_cs_hold: HOLD(POSEDGE) mdata<3> loc_cs;
mdata<4>_loc_cs_hold: HOLD(POSEDGE) mdata<4> loc_cs;
mdata<5>_loc_cs_hold: HOLD(POSEDGE) mdata<5> loc_cs;
mdata<6>_loc_cs_hold: HOLD(POSEDGE) mdata<6> loc_cs;
mdata<7>_loc_cs_hold: HOLD(POSEDGE) mdata<7> loc_cs;
done_ctrl_in<1>_setup: SETUP(POSEDGE) done ctrl_in<1>;
mdata<0>_ctrl_in<1>_setup: SETUP(POSEDGE) mdata<0> ctrl_in<1>;
mdata<1>_ctrl_in<1>_setup: SETUP(POSEDGE) mdata<1> ctrl_in<1>;
mdata<2>_ctrl_in<1>_setup: SETUP(POSEDGE) mdata<2> ctrl_in<1>;
mdata<3>_ctrl_in<1>_setup: SETUP(POSEDGE) mdata<3> ctrl_in<1>;
mdata<4>_ctrl_in<1>_setup: SETUP(POSEDGE) mdata<4> ctrl_in<1>;
mdata<5>_ctrl_in<1>_setup: SETUP(POSEDGE) mdata<5> ctrl_in<1>;
mdata<6>_ctrl_in<1>_setup: SETUP(POSEDGE) mdata<6> ctrl_in<1>;
mdata<7>_ctrl_in<1>_setup: SETUP(POSEDGE) mdata<7> ctrl_in<1>;
done_ctrl_in<1>_hold: HOLD(POSEDGE) done ctrl_in<1>;
mdata<0>_ctrl_in<1>_hold: HOLD(POSEDGE) mdata<0> ctrl_in<1>;
mdata<1>_ctrl_in<1>_hold: HOLD(POSEDGE) mdata<1> ctrl_in<1>;
mdata<2>_ctrl_in<1>_hold: HOLD(POSEDGE) mdata<2> ctrl_in<1>;
mdata<3>_ctrl_in<1>_hold: HOLD(POSEDGE) mdata<3> ctrl_in<1>;
mdata<4>_ctrl_in<1>_hold: HOLD(POSEDGE) mdata<4> ctrl_in<1>;
mdata<5>_ctrl_in<1>_hold: HOLD(POSEDGE) mdata<5> ctrl_in<1>;
mdata<6>_ctrl_in<1>_hold: HOLD(POSEDGE) mdata<6> ctrl_in<1>;
mdata<7>_ctrl_in<1>_hold: HOLD(POSEDGE) mdata<7> ctrl_in<1>;
ctrl_in<1>_ctrl_in<0>_setup: SETUP(POSEDGE) ctrl_in<1> ctrl_in<0>;
done_ctrl_in<0>_setup: SETUP(POSEDGE) done ctrl_in<0>;
mdata<0>_ctrl_in<0>_setup: SETUP(POSEDGE) mdata<0> ctrl_in<0>;
mdata<1>_ctrl_in<0>_setup: SETUP(POSEDGE) mdata<1> ctrl_in<0>;
mdata<2>_ctrl_in<0>_setup: SETUP(POSEDGE) mdata<2> ctrl_in<0>;
mdata<3>_ctrl_in<0>_setup: SETUP(POSEDGE) mdata<3> ctrl_in<0>;
mdata<4>_ctrl_in<0>_setup: SETUP(POSEDGE) mdata<4> ctrl_in<0>;
mdata<5>_ctrl_in<0>_setup: SETUP(POSEDGE) mdata<5> ctrl_in<0>;
mdata<6>_ctrl_in<0>_setup: SETUP(POSEDGE) mdata<6> ctrl_in<0>;
mdata<7>_ctrl_in<0>_setup: SETUP(POSEDGE) mdata<7> ctrl_in<0>;
ctrl_in<1>_ctrl_in<0>_hold: HOLD(POSEDGE) ctrl_in<1> ctrl_in<0>;
done_ctrl_in<0>_hold: HOLD(POSEDGE) done ctrl_in<0>;
mdata<0>_ctrl_in<0>_hold: HOLD(POSEDGE) mdata<0> ctrl_in<0>;
mdata<1>_ctrl_in<0>_hold: HOLD(POSEDGE) mdata<1> ctrl_in<0>;
mdata<2>_ctrl_in<0>_hold: HOLD(POSEDGE) mdata<2> ctrl_in<0>;
mdata<3>_ctrl_in<0>_hold: HOLD(POSEDGE) mdata<3> ctrl_in<0>;
mdata<4>_ctrl_in<0>_hold: HOLD(POSEDGE) mdata<4> ctrl_in<0>;
mdata<5>_ctrl_in<0>_hold: HOLD(POSEDGE) mdata<5> ctrl_in<0>;
mdata<6>_ctrl_in<0>_hold: HOLD(POSEDGE) mdata<6> ctrl_in<0>;
mdata<7>_ctrl_in<0>_hold: HOLD(POSEDGE) mdata<7> ctrl_in<0>;

ENDMODEL
